package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapDataVisus;
import com.jasamedika.medifirst2000.vo.PapDataVisusVO;

/**
 * Converter class between PAPDataVisus and PAPDataVisusVO
 * 
 * @author Askur
 */
@Component
public class PapDataVisusConverter implements BaseVoConverter<PapDataVisusVO, PapDataVisus> {
	

	public PapDataVisus transferVOToModel(PapDataVisusVO vo, PapDataVisus model) {
		if (null == model)
			model = new PapDataVisus();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapDataVisus.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapDataVisusVO> transferListOfModelToListOfVO(List<PapDataVisus> models,
			List<PapDataVisusVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapDataVisusVO>();

		if (null == models)
			return vos;

		for (PapDataVisus PapDataVisus : models) {
			PapDataVisusVO vo = new PapDataVisusVO();
			vo = transferModelToVO(PapDataVisus, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapDataVisusVO transferModelToVO(PapDataVisus model, PapDataVisusVO vo) {

		if (null == vo)
			vo = new PapDataVisusVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapDataVisusVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
